require 'test/unit'
require 'browser'
require 'test-util'

class RawProceduralTests < Test::Unit::TestCase
  include PageAssertions
  include ServerControl

  def setup
    @browser = Browser.new
    start_server_on(TEST_HOST)
  end

  def teardown
    stop_server
  end

  def test_cannot_append_to_a_nominal_audit
    go(TEST_HOST_ROOT)

    enter(:login, 'unimportant')
    enter(:password, 'unimportant')
    press(:login)

    press(:new_case)

    enter(:client, 'unimportant')
    enter(:clinic_id, '213')
    press(:record_case)

    press(:add_visit)

    enter(:diagnosis, 'unimportant')
    enter(:charges, '100')
    press(:record_visit)

    press(:add_audit)

    enter(:auditor, 'unimportant')
    enter(:variance, 'nominal')
    press(:record_audit)

    assert_page_title_matches(/^Case \d+/)
    assert_page_has_no_action(:add_audit)
  end

end
